Отказ в обслуживании в Node.js

Дата публикации:
04.09.2014
Дата изменения:
04.09.2014
Всего просмотров:
873
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:N/A:P/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
CVE ID:
CVE-2014-5256
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Node.js 0.x
Уязвимые версии:
Node.js версии до 0.8.28
Node.js версии до 0.10.30

Описание:
Уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании.

Уязвимость существует из-за ошибки во встроенной библиотеке V8. Удаленный пользователь может вызвать отказ переполнение буфера в стеке.

URL производителя: http://nodejs.org/

Решение: Установите последнюю версию 0.8.28 или 0.10.30 с сайта производителя.

Ссылки: Node.js 0.xhttp://blog.nodejs.org/2014/07/31/v8-memory-corruption-stack-overflow/